# Citing

If you use `cardiotensor` in your research, please cite the related paper as follow:

---

## **APA Format**

Brunet, J., Cook, A. C., Walsh, C. L., Cranley, J., Tafforeau, P., Engel, K., Arthurs, O., Berruyer, C., Burke O’Leary, E., Bellier, A., et al. (2024). Multidimensional analysis of the adult human heart in health and disease using hierarchical phase-contrast tomography. *Radiology, 312*(1), e232731. https://doi.org/10.1148/radiol.232731

---

## **BibTeX Format**

For LaTeX users, please include the following BibTeX entry to reference `cardiotensor`:

```bibtex
@article{brunet2024multidimensional,
  title={Multidimensional analysis of the adult human heart in health and disease using hierarchical phase-contrast tomography},
  author={Brunet, Joseph and Cook, Andrew C and Walsh, Claire L and Cranley, James and Tafforeau, Paul and Engel, Klaus and Arthurs, Owen and Berruyer, Camille and Burke O’Leary, Emer and Bellier, Alexandre and others},
  journal={Radiology},
  volume={312},
  number={1},
  pages={e232731},
  year={2024},
  publisher={Radiological Society of North America}
}
```

---

## **Citation Examples in Various Formats**

1. **MLA Format**
   Brunet, Joseph, et al. "Multidimensional analysis of the adult human heart in health and disease using hierarchical phase-contrast tomography." *Radiology*, vol. 312, no. 1, 2024, p. e232731.

2. **Chicago Style**
   Brunet, Joseph, Andrew C. Cook, Claire L. Walsh, James Cranley, Paul Tafforeau, Klaus Engel, Owen Arthurs, Camille Berruyer, Emer Burke O’Leary, Alexandre Bellier, et al. 2024. "Multidimensional analysis of the adult human heart in health and disease using hierarchical phase-contrast tomography." *Radiology* 312 (1): e232731.

3. **Harvard Format**
   Brunet, J., Cook, A.C., Walsh, C.L., Cranley, J., Tafforeau, P., Engel, K., Arthurs, O., Berruyer, C., Burke O’Leary, E., Bellier, A., et al., 2024. Multidimensional analysis of the adult human heart in health and disease using hierarchical phase-contrast tomography. *Radiology*, 312(1), p.e232731.

---

## Why Cite `cardiotensor`?

Citing `cardiotensor` in your research helps other researchers to discover and reference the software, support continued development, and acknowledges the work invested in creating this package. Proper citations also contribute to the visibility and impact of the `cardiotensor` project.
