# Commands

Cardiotensor provides powerful features for analyzing 3D cardiac imaging data, from processing imaging volumes and calculating orientation to managing large-scale projects with support for multiple configurations and platforms.

## Orientation Computation

Compute myocytes orientation for a volume using a specified configuration file.

- `cardio-tensor`

See the [example](./examples.md) to get started.

---

## Transmural Analysis

GUI to plot angle profiles across the heart.

- `cardio-analysis`

See the [example](././examples.md#visualizing-transmural-profiles) on how to visualize transmural profile to get started.

---

## 3D Visualization with Export

Visualize results in 3D by exporting vectors to Amira or Paraview:

- `cardio-amira`: Export to Amira
- `cardio-vtk`: Export to Paraview

!!! warning

    Still under testing.

---

## Next steps

Read the [example](./examples.md) for an introduction to each feature.